package opt

import (
	"errors"
	"net/url"
)

const (
	DefaultMaxSize   = 1024 * 1024 * 1024
	ReferrersEnabled = true

	RoleMustLess = true
)

type config struct {
	Debug    bool
	RepoName string
	Address  string
	DataPath string
	Proxy    string
}

var (
	Cfg         = &config{}
	Proxy       *url.URL
	ErrNotFound = errors.New("not found")
)
