# ❤️ repo.me

## 我的 image repository

### build

`docker build -t <image> -f Dockerfile .`

### deployment
   ```sh
   docker run -d --name repo-me \
     --restart unless-stopped \
     -v /data/repo-me:/data \
     -v <nginx_config>:/etc/nginx/nginx.conf \
     -p 80:80 \
     <image> \
     -debug false \
     -repo repo.me \
     -address 127.0.0.1:80 \
     -data /data \
     -proxy <(http|socks5)://proxy_address>
   ```